from kdecore import *
class KDeliPrefs(KSimpleConfig):
    def __init__(self):
        KSimpleConfig.__init__(self,"deliKrc")
        self.username = None
        self.password = None
        self.reload_time = None
        self.login_updated = False
        self.sort_method = 0

    def setReloadTime(self, mins):
        self.reload_time = mins
        self.writeEntry("reload_time", mins)

    def setSortMethod(self, sort_method):
        self.sort_method = sort_method
        self.writeEntry("sort_method", sort_method)

    def setMinPosts(self, min_posts):
        self.min_posts = min_posts
        self.writeEntry("min_posts", min_posts)

    def setUsername(self, username):
        self.username = username
        self.writeEntry("username", username)

    def setPassword(self,password):
        self.writeEntry("password",password)
        self.password = password

    def setReversed(self,reversed):
        self.writeEntry("reversed",reversed)
        self.reversed = reversed

    def getUsername(self):
        self.username = self.readEntry("username","your_username")
        return self.username

    def getMinPosts(self):
        self.min_posts = self.readNumEntry("min_posts", 1)
        return self.min_posts

    def getSortMethod(self):
        self.sort_method = self.readNumEntry("sort_method", 0)
        return self.sort_method

    def getReversed(self):
        self.reversed = self.readBoolEntry("reversed", False)
        return self.reversed

    def getPassword(self):
        self.password = self.readEntry("password","your_password")
        return self.password

    def getReloadTime(self):
        self.reload_time = self.readNumEntry("reload_time",5)
        return self.reload_time

    def setLastLoginStatus(self, last_status_ok):
       self.last_status_ok = last_status_ok
       if last_status_ok:
           self.writeEntry("last_status_ok", "true")

       else:
           self.writeEntry("last_status_ok", "false")

    def getLastLoginStatus(self):
        self.last_status_ok = self.readBoolEntry("last_status_ok", False)
        return self.last_status_ok
