from DeliTag import *
from kdeui import *
from qt import *
from KDeliPost import *
from getDelApi import *

class KDeliTag(KSelectAction):
    def __init__(self, delitag, parent):
        self.parent = parent
        self.delitag = delitag
        self.kdeliposts = list()
        KSelectAction(QString.__init__(self, delitag.getName()))
        for x in delitag.getPosts():
            a = KDeliPost(x)
            a.plug(self.popupMenu())
            self.kdeliposts.append(a)
        self.kactionsep = KActionSeparator(self,"sep")
        self.kactionsep.plug(self.popupMenu())
        self.kaction = KAction("Rename Tag","redo")
        QObject.connect(self.kaction,SIGNAL("activated()"),self.rename)
        self.kaction.plug(self.popupMenu())

    def getName(self):
        return self.delitag.getName()

    def rename(self):
        newtagName = KInputDialog.getText("Rename Tag", "Insert the new name for the selected tag","")
        if newtagName[1] == True:
            pythonstr = unicode(newtagName[0])
            self.parent.delistore.renameTag(self.delitag.getName(),pythonstr)
            KPassivePopup.message("Renaming the tag...", self.parent);
            QTimer.singleShot(5000, self.parent.refreshData)
            #self.parent.refreshData()
