# -*- coding: utf-8 -*-

# Form implementation generated from reading ui file 'prefs.ui'
#
# Created: gio lug 27 10:03:20 2006
#      by: The PyQt User Interface Compiler (pyuic) 3.14.1
#
# WARNING! All changes made in this file will be lost!


from qt import *
from kdeui import *

class PreferencesDiag(KDialog):
    def __init__(self,parent = None,name = None):
        KDialog.__init__(self,parent,name)

        if not name:
            self.setName("PreferencesDiag")

        self.setSizeGripEnabled(1)

        PreferencesDiagLayout = QGridLayout(self,1,1,11,6,"PreferencesDiagLayout")

        self.tabWidget = QTabWidget(self,"tabWidget")

        self.Widget2 = QWidget(self.tabWidget,"Widget2")

        self.kLineEdit1 = KLineEdit(self.Widget2,"kLineEdit1")
        self.kLineEdit1.setGeometry(QRect(180,60,106,20))

        self.kLineEdit2 = KLineEdit(self.Widget2,"kLineEdit2")
        self.kLineEdit2.setGeometry(QRect(180,110,106,20))
        self.kLineEdit2.setEchoMode(KLineEdit.Password)

        self.textLabel1 = QLabel(self.Widget2,"textLabel1")
        self.textLabel1.setGeometry(QRect(70,60,80,20))

        self.textLabel2 = QLabel(self.Widget2,"textLabel2")
        self.textLabel2.setGeometry(QRect(70,110,70,20))
        self.tabWidget.insertTab(self.Widget2,QString.fromLatin1(""))

        self.TabPage = QWidget(self.tabWidget,"TabPage")

        self.textLabel1_2 = QLabel(self.TabPage,"textLabel1_2")
        self.textLabel1_2.setGeometry(QRect(60,60,70,20))

        self.textLabel2_2 = QLabel(self.TabPage,"textLabel2_2")
        self.textLabel2_2.setGeometry(QRect(40,110,126,20))

        self.textLabel2_2_2 = QLabel(self.TabPage,"textLabel2_2_2")
        self.textLabel2_2_2.setGeometry(QRect(10,150,183,20))

        self.minPosts = KIntNumInput(self.TabPage,"minPosts")
        self.minPosts.setGeometry(QRect(200,150,118,28))
        self.minPosts.setValue(1)
        self.minPosts.setMinValue(1)
        self.minPosts.setMaxValue(300)

        self.kReloadTime = KIntNumInput(self.TabPage,"kReloadTime")
        self.kReloadTime.setGeometry(QRect(200,110,118,28))
        self.kReloadTime.setValue(1)
        self.kReloadTime.setMinValue(1)
        self.kReloadTime.setMaxValue(300)

        self.reversedBox = QCheckBox(self.TabPage,"reversedBox")
        self.reversedBox.setGeometry(QRect(310,60,77,20))

        self.sortComboBox = KComboBox(0,self.TabPage,"sortComboBox")
        self.sortComboBox.setGeometry(QRect(160,60,130,20))
        self.tabWidget.insertTab(self.TabPage,QString.fromLatin1(""))

        PreferencesDiagLayout.addWidget(self.tabWidget,0,1)

        Layout1 = QHBoxLayout(None,0,6,"Layout1")
        Horizontal_Spacing2 = QSpacerItem(20,20,QSizePolicy.Expanding,QSizePolicy.Minimum)
        Layout1.addItem(Horizontal_Spacing2)

        self.buttonOk = QPushButton(self,"buttonOk")
        self.buttonOk.setAutoDefault(1)
        self.buttonOk.setDefault(1)
        Layout1.addWidget(self.buttonOk)

        self.buttonCancel = QPushButton(self,"buttonCancel")
        self.buttonCancel.setAutoDefault(1)
        Layout1.addWidget(self.buttonCancel)

        PreferencesDiagLayout.addMultiCellLayout(Layout1,1,1,0,1)

        self.languageChange()

        self.resize(QSize(442,301).expandedTo(self.minimumSizeHint()))
        self.clearWState(Qt.WState_Polished)

        self.connect(self.buttonOk,SIGNAL("clicked()"),self.storPrefs)
        self.connect(self.buttonCancel,SIGNAL("clicked()"),self.reject)

        self.setTabOrder(self.tabWidget,self.kLineEdit1)
        self.setTabOrder(self.kLineEdit1,self.kLineEdit2)
        self.setTabOrder(self.kLineEdit2,self.buttonOk)
        self.setTabOrder(self.buttonOk,self.buttonCancel)


    def languageChange(self):
        self.setCaption(self.__tr("Preferences"))
        self.textLabel1.setText(self.__tr("Username"))
        self.textLabel2.setText(self.__tr("Password"))
        self.tabWidget.changeTab(self.Widget2,self.__tr("Account Info"))
        self.textLabel1_2.setText(self.__tr("Sort Tags by"))
        self.textLabel2_2.setText(self.__tr("Reload Data Time"))
        self.textLabel2_2_2.setText(self.__tr("Show Tags with minimum"))
        self.minPosts.setLabel(QString.null)
        self.minPosts.setSuffix(self.__tr(" posts"))
        self.kReloadTime.setLabel(QString.null)
        self.kReloadTime.setSuffix(self.__tr(" mins"))
        self.reversedBox.setText(self.__tr("Reversed"))
        self.sortComboBox.clear()
        self.sortComboBox.insertItem(self.__tr("Alphabetically"))
        self.sortComboBox.insertItem(self.__tr("Post Number"))
        self.tabWidget.changeTab(self.TabPage,self.__tr("Interface"))
        self.buttonOk.setText(self.__tr("O&K"))
        self.buttonOk.setAccel(self.__tr("Alt+K"))
        self.buttonCancel.setText(self.__tr("&Cancel"))
        self.buttonCancel.setAccel(QString.null)


    def storPrefs(self):

        username = self.kLineEdit1.text()
        password = self.kLineEdit2.text()
        self.parent().prefs.setUsername(username)
        self.parent().prefs.setPassword(password)
        self.parent().delistore.setUsername(username)
        self.parent().delistore.setPassword(password)
        self.parent().prefs.login_updated = True
        self.parent().prefs.setMinPosts(self.minPosts.value())
        self.parent().prefs.setSortMethod(self.sortComboBox.currentItem())
        self.parent().delistore.setSortMethod(self.sortComboBox.currentItem())
        
        self.parent().prefs.setReversed(self.reversedBox.isChecked())
        self.parent().delistore.setReversed(self.reversedBox.isChecked())
        refresh_mins = self.kReloadTime.value()
        self.parent().prefs.sync()
        self.hide()
        self.parent().refreshTimer(refresh_mins)
        self.parent().refreshData()
        

    def loadSettings(self):
        self.kLineEdit1.setText(self.parent().prefs.getUsername())
        self.kLineEdit2.setText(self.parent().prefs.getPassword())
        self.kReloadTime.setValue(self.parent().prefs.getReloadTime())
        self.minPosts.setValue(self.parent().prefs.getMinPosts())
        self.sortComboBox.setCurrentItem(self.parent().prefs.getSortMethod())
        self.reversedBox.setChecked(self.parent().prefs.getReversed())
        

    def __tr(self,s,c = None):
        return qApp.translate("PreferencesDiag",s,c)
