#!/usr/bin/env python
import sys
import os
pathname =  os.path.dirname(sys.argv[0])
if pathname != "":
    os.chdir(pathname)
#print pathname+'deliKsources'
sys.path.append('deliKsources')
try:
    from kdecore import KApplication, KIcon, KIconLoader, KURL,KAboutData, KCmdLineArgs
    from kdeui import KMainWindow, KSystemTray, KPopupMenu,KSelectAction,KAction
    from kio import KRun
    from DeliTag import *
    from qt import *
    from prefs import *
    from KDeliSysTray import *
except:
#    pass
    print "import requirements not met (PyKDE)"
    os.popen( "kdialog --sorry 'PyKDE is required for this script.'" )
    sys.exit()
#-------------------- main ------------------------------------------------
appver = "0.5.2"
appname = "deliK"
appdesc = "A small client for delicious webservices"
aboutData = KAboutData("konqueror" ,"deliK" , appver, appdesc, KAboutData.License_GPL, "(c) 2006 Andrea Cimino")
aboutData.addAuthor("Andrea Cimino","","andrea.cimino@shinyfrog.net")
aboutData.setHomepage("http://andrea.shinyfrog.net/")
aboutData.addCredit("Matteo Rattotti","The creator of Delibar, a MacOSX delicious client",None,"http://www.rknet.it")
aboutData.addCredit("Fabio Trabucchi","The creator of Deliwin, a Windows delicious client",None,"http://www.bafio.it")
aboutData.addCredit("Luigi Cristalli","Little usabilty improvements",None,"")
#appImage = QImage("aim-cursor.xpm")
#aboutData.setProgramLogo(None)
KCmdLineArgs.init(sys.argv, aboutData)
appName = "DeliK"
app = KUniqueApplication(True, True, False);
app.systray = KDeliSysTray(None,"deliK")
#KPassivePopup(self,"deliK is loading...");
QObject.connect(app.systray,SIGNAL("quitSelected()"), app.quit)
app.systray.show()
#delay the load of the data to show the systray
QTimer.singleShot(500, app.systray.refreshData);
app.exec_loop()
